﻿Shader "Custom/SunShader" {
	Properties {
      _BaseColor ("Base Color", Color) = (1.0,1.0,1.0,0.0)
      _MainTex ("Texture", 2D) = "white" {}
      _Intensity ("Intensity", Range(0.0,2.0)) = 1.0
    }
    SubShader {
		Tags { "RenderType" = "Opaque" }
		LOD 400
		CGPROGRAM
		#pragma surface surf BlinnPhong finalcolor:FogColor 
		#pragma target 3.0

		float4 _BaseColor;
		sampler2D _MainTex;
		float _Intensity;

		struct Input {
			float2 uv_MainTex;
		};
		
		// Albedo, Normal, Emission, Specular, Gloss, Alpha;

		void surf (Input IN, inout SurfaceOutput o) {

		}
		
		void FogColor (Input IN, SurfaceOutput o, inout fixed4 color)
		{
			color.rgb = tex2D(_MainTex, IN.uv_MainTex) * _BaseColor * _Intensity;
			#ifdef UNITY_PASS_FORWARDADD
			color.rgb = 0.0f;
			#endif
		}
      
		ENDCG
    } 
    Fallback "Specular"
  }

